WinStd Additional templates and function helpers for Microsoft Windows using Standard C++ classes

Public Member Functions | List of all members
winstd::eap_method_info_array Class Reference
Extensible Authentication Protocol API

EAP_METHOD_INFO_ARRAY wrapper class. More...

`#include <EAP.h>`

Inheritance diagram for winstd::eap_method_info_array:

## Public Member Functions
| eap_method_info_array () noexcept
| Constructs an empty array.
| eap_method_info_array (_Inout_ eap_method_info_array &&other) noexcept
| Move constructor. More...
| ~eap_method_info_array ()
| Destructor.
eap_method_info_array & | operator= (_Inout_ eap_method_info_array &&other) noexcept
| Move assignment. More...

## Detailed Description

EAP_METHOD_INFO_ARRAY wrapper class.

## Constructor & Destructor Documentation

## ◆ eap_method_info_array()

winstd::eap_method_info_array::eap_method_info_array | ( | _Inout_ eap_method_info_array && | other | ) |
| inline noexcept

Move constructor.

Parameters

  [in,out] | other | A rvalue reference of another object

## Member Function Documentation

## ◆ operator=()

eap_method_info_array & winstd::eap_method_info_array::operator= | ( | _Inout_ eap_method_info_array && | other | ) |
| inline noexcept

Move assignment.

Parameters

  [in,out] | other | A rvalue reference of another object

The documentation for this class was generated from the following file:

- include/WinStd/EAP.h